#ifndef USPLASH_SMOOTH_H
#define USPLASH_SMOOTH_H



#include <usplash-theme.h>



/*
 * This function initializes the usplash-smooth library. It must be called
 * before any other functions. A good place to call it is in the init
 * function of your usplash theme.
 */

void usplash_smooth( struct usplash_theme *theme );



/*
 * This function returns the percentage ratio between the usplash elapsed time
 * and the total time of the last boot or shutdown: (time_elapsed/time_total)
 * This returned value is a float between 0 and 1, and represents the
 * percentage of the boot or shutdown process completion.
 */

float time_percentage( void );



/*
 * This is a simple function that returns the time in seconds since usplash is
 * running, or more precisely, since usplash_smooth() above was called. Just
 * keep in mind that the returned value is not an integer, and theoretically
 * has a milisecond precision.
 */

float time_elapsed( void );



#endif // USPLASH_SMOOTH_H

